<?xml version="1.0" encoding="windows-1251"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="9,00"
	Name="UnitTests"
	ProjectGUID="{A4E29EB7-5551-4660-9F86-2A723E3B2F23}"
	RootNamespace="UnitTests"
	Keyword="Win32Proj"
	TargetFrameworkVersion="131072"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="Debug"
			IntermediateDirectory="Debug"
			ConfigurationType="1"
			InheritedPropertySheets=".\gtest.vsprops"
			UseOfMFC="2"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories=".."
				PreprocessorDefinitions="WIN32;_DEBUG;_CONSOLE;_USE_32BIT_TIME_T;CONFIG=$(ConfigurationName)"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="2"
				BrowseInformation="1"
				WarningLevel="4"
				DebugInformationFormat="4"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1049"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="gtest_maind.lib gtestd.lib"
				OutputFile="$(OutDir)/tests.exe"
				LinkIncremental="2"
				GenerateDebugInformation="true"
				ProgramDatabaseFile="$(OutDir)/Tests.pdb"
				SubSystem="1"
				RandomizedBaseAddress="1"
				DataExecutionPrevention="0"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				CommandLine="COPY /Y ..\evlogmsg.dll $(OutDir)\evlogmsg.dll"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="Release"
			IntermediateDirectory="Release"
			ConfigurationType="1"
			InheritedPropertySheets=".\gtest.vsprops"
			UseOfMFC="2"
			CharacterSet="2"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories=".."
				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE;_USE_32BIT_TIME_T;CONFIG=$(ConfigurationName)"
				StringPooling="true"
				RuntimeLibrary="2"
				EnableFunctionLevelLinking="true"
				UsePrecompiledHeader="2"
				BrowseInformation="1"
				WarningLevel="4"
				DebugInformationFormat="0"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1049"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="gtest_main.lib gtest.lib"
				OutputFile="$(OutDir)/tests.exe"
				LinkIncremental="1"
				GenerateDebugInformation="true"
				SubSystem="1"
				OptimizeReferences="0"
				EnableCOMDATFolding="0"
				RandomizedBaseAddress="1"
				DataExecutionPrevention="0"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath="..\crc16.cpp"
				>
			</File>
			<File
				RelativePath="..\DataRoutines.cpp"
				>
			</File>
			<File
				RelativePath="..\EventLog.cpp"
				>
			</File>
			<File
				RelativePath="..\NTServApp.cpp"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						PreprocessorDefinitions="main=_m_test_disabled_main"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						PreprocessorDefinitions="main=_m_test_disabled_main"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\NTService.cpp"
				>
			</File>
			<File
				RelativePath="..\Settings.cpp"
				>
			</File>
			<File
				RelativePath=".\Settings.tests.cpp"
				>
			</File>
			<File
				RelativePath="..\stdafx.cpp"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="1"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCLCompilerTool"
						UsePrecompiledHeader="1"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\UGS.cpp"
				>
			</File>
			<File
				RelativePath="..\ugsservice.cpp"
				>
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
			>
			<File
				RelativePath=".\gtwrappers.h"
				>
			</File>
			<File
				RelativePath="..\crc16.h"
				>
			</File>
			<File
				RelativePath="..\DataRoutines.h"
				>
			</File>
			<File
				RelativePath="..\EventLog.h"
				>
			</File>
			<File
				RelativePath="..\evlogmsg.h"
				>
			</File>
			<File
				RelativePath="..\NTServApp.h"
				>
			</File>
			<File
				RelativePath="..\NTService.h"
				>
			</File>
			<File
				RelativePath="..\Resource.h"
				>
			</File>
			<File
				RelativePath="..\Settings.h"
				>
			</File>
			<File
				RelativePath="..\stdafx.h"
				>
			</File>
			<File
				RelativePath="..\UGS.h"
				>
			</File>
			<File
				RelativePath="..\ugsservice.h"
				>
			</File>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
			>
			<File
				RelativePath="..\evlogmsg.rc"
				>
			</File>
		</Filter>
		<Filter
			Name="cfg"
			>
			<File
				RelativePath=".\data\regular.ini"
				>
			</File>
			<File
				RelativePath=".\data\truncated-header-1.ini"
				>
			</File>
			<File
				RelativePath=".\data\truncated-header-2.ini"
				>
			</File>
			<File
				RelativePath=".\data\truncated-key-value.ini"
				>
			</File>
			<File
				RelativePath=".\data\truncated-string-literal.ini"
				>
			</File>
			<File
				RelativePath=".\data\with-comments-1.ini"
				>
			</File>
			<File
				RelativePath=".\data\with-comments-2.ini"
				>
			</File>
			<File
				RelativePath=".\data\with-semicolon.ini"
				>
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
